FAQ
With custom type 'vcsrepo', I've been getting this error ever since I
restarted my master box:

Error: Could not retrieve catalog from remote server: Error 400 on SERVER:
Invalid parameter provider at
/etc/puppet/environments/local/modules/user_mpeebles/manifests/init.pp:56
on node 1001.milespeebles.org
Warning: Not using cache on failed catalog
Error: Could not retrieve catalog; skipping run

---

This is the definition found at line 56:

vcsrepo { '/home/mpeebles/.vim' :
      ensure => latest,
      user => mpeebles,
      owner => mpeebles,
      group => users,
      provider => 'git',
      source => 'https://github.com/mpeebles/vim-config.git',
      revision => 'master',
}

---

Researching this issue myself, I I have tried adding 'pluginsync = true'
under '[main]' in /etc/puppet/puppet.conf, to no avail. Not really sure
what's wrong.

--
You received this message because you are subscribed to the Google Groups "Puppet Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
To post to this group, send email to puppet-users@googlegroups.com.
Visit this group at http://groups.google.com/group/puppet-users.
For more options, visit https://groups.google.com/groups/opt_out.

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppuppet-users @
categoriespuppet
postedSep 10, '13 at 9:41a
activeSep 10, '13 at 9:41a
posts1
users1
websitepuppetlabs.com

1 user in discussion

Milesnpeebles: 1 post

People

Translate

site design / logo © 2021 Grokbase